Subject: Re: [bug#28384] [PATCH] gnu: Fix build failures caused by commit.

From: Kei Kebreau <[email-masked]>
Date: Sun, 10 Sep 2017 09:32:23 -0400

[email-masked] (Ludovic Courtès) writes:

> Kei Kebreau <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Kei Kebreau <[email-masked]> skribis:
>>>
>>>> [email-masked] (Ludovic Courtès) writes:
>>>>
>>>>> Hi Kei,
>>>>>
>>>>> The subject is truncated.  :-)  Caused by which commit?
>>>>>
>>>>> Kei Kebreau <[email-masked]> skribis:
>>>>>
>>>>>> * gnu/packages/bioinformatics.scm (seek)[arguments]: Modify unpack phase.
>>>>>> * gnu/packages/ci.scm (cuirass)[arguments]: Add patch-/bin/sh phase.
>>>>>
>>>>> This is weird, normally the ‘patch-source-shebangs’ phase, which happens
>>>>> right before ‘configure’, should take care of these, no?
>>>>>
>>>>
>>>> Normally the 'patch-source-shebangs' does just that, but in this case
>>>> the script needs to be patched because the bootstrapping phase depends
>>>> on perl.
>>>
>>> OK.  I don’t understand at what point this became necessary though.
>>>
>>
>> It's probably a result of moving the 'bootstrap' phase before the
>> 'patch-source-shebangs' phase. Without this change, the seek package
>> builds fine. I have no preference either way, though I notice that the
>> same thing is done for guile-for-guile-emacs.
>
> Since this commit was just about changing the syntax, not the semantics,
> I would expect it to keep phases in the same order.  That would be more
> concise than adding custom code to patch things here and there, no?
>
> WDYT?
>

I agree in the case of seek.

>>>> From 87ea8addad973568d8599fb93c8df9766b96b6a1 Mon Sep 17 00:00:00 2001
>>>> From: Kei Kebreau <[email-masked]>
>>>> Date: Sat, 29 Jul 2017 11:28:42 -0400
>>>> Subject: [PATCH] gnu: Use 'modify-phases' syntax.
>>>> To: [email-masked]
>>>
>>> Wrong patch.  :-)
>>>
>>> Ludo’.
>>
>> Fixed!
>>
>> From d9eee184cf80252092c34864d492527ee768a7fb Mon Sep 17 00:00:00 2001
>> From: Kei Kebreau <[email-masked]>
>> Date: Thu, 7 Sep 2017 09:36:28 -0400
>> Subject: [PATCH] gnu: Fix build failures caused by commit
>>  d10092b849153dc27cfed0a9601fde6c7bdec918.
>>
>> * gnu/packages/bioinformatics.scm (seek)[arguments]: Modify unpack phase.
>> * gnu/packages/ci.scm (cuirass)[arguments]: Add patch-/bin/sh phase.
>
> That’s fine with me, even though I have a slight preference for simply
> restoring the order of phases as it was before.
>

I'm most comfortable reverting seek to its last successful state without
the substitute* call and patch leave the cuirass patch as is. If that's
okay with you I can push this to master.

> Thanks!
> Ludo’.

Thanks for helping to sort this out!